      PROGRAM PYTHIA
 
C...Double precision and integer declarations.
      IMPLICIT DOUBLE PRECISION(A-H, O-Z)
      IMPLICIT INTEGER(I-N)
      INTEGER PYK,PYCHGE,PYCOMP
      EXTERNAL CHDATA

C...To reset Charybdis parameters via common
      INCLUDE 'charybdis1003.inc'

C...Commonblocks.
      COMMON/PYJETS/N,NPAD,K(4000,5),P(4000,5),V(4000,5)
      COMMON/PYDAT1/MSTU(200),PARU(200),MSTJ(200),PARJ(200)
      COMMON/PYDAT2/KCHG(500,4),PMAS(500,4),PARF(2000),VCKM(4,4)
      COMMON/PYDAT3/MDCY(500,3),MDME(8000,2),BRAT(8000),KFDP(8000,5)
      COMMON/PYSUBS/MSEL,MSELPD,MSUB(500),KFIN(2,-40:40),CKIN(200)
      COMMON/PYPARS/MSTP(200),PARP(200),MSTI(200),PARI(200)
      SAVE /PYJETS/,/PYDAT1/,/PYDAT2/,/PYDAT3/,/PYSUBS/,/PYPARS/
C...Local arrays.
      DIMENSION PSUM(5),PINI(6),PFIN(6)
C---CHARYBDIS PARAMETERS CAN ALSO BE RESET HERE
      TOTDIM=8
      YRCSEC=.TRUE.
      RMBOIL=.TRUE.
      RMMINM=200.D0
      CALL PYINIT('USER','p','p',14000.0D0)
      DO 180 IEV=1,100
         CALL PYEVNT
         IF (IEV.LE.3) CALL PYLIST(1)
 180  CONTINUE
       CALL PYSTAT(1)
 
      RETURN
      END

